package com.bocloud.gateway;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.web.reactive.config.EnableWebFlux;

/**
 * @author dmw
 */
@EnableWebFlux
@EnableDiscoveryClient
@SpringBootApplication
@ComponentScan(value = {"com.bocloud.gateway", "com.megatron.framework", "com.megatron.common"})
public class Application {
    public static void main(String[] args) {
        SpringApplication.run(Application.class, args);
    }
}