package com.bocloud.gateway.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 过滤器对象
 *
 * @author dmw
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class FiltersEntity {

    /**
     * 过滤器方式
     */
    private String type;

    /**
     * 过滤器规则
     */
    private String rule;
}
