package com.bocloud.gateway.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 断言对象
 *
 * @author dmw
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PredicatesEntity {

    /**
     * 断言方式
     */
    private String type;

    /**
     * 断言规则
     */
    private String predicates;
}