package com.bocloud.gateway.exception;

import lombok.Builder;
import lombok.Data;

@Data
@Builder
public class RequestPathEntry {
    /**
     * 是否是插件
     */
    private boolean plugin;
    /**
     * 插件或者服务的名称
     */
    private String name;
    /**
     * 插件或者服务所在主机地址
     */
    private String host;
    /**
     * 服务端口
     */
    private Integer port;

    /**
     * 请求路径
     */
    private String path;
}
